{{#each members as |member| }}
    <div class="tracker-entry-bar">
        <li class="entry actor" data-index="{{index}}" data-id="{{member.id}}" style="position: relative;">
            <img class="token-image" src="{{member.img}}" data-tooltip="{{member.name}}" />
            <div class="member-base-controls">
                {{#if member.flags.world.henchman}} <i
                        data-tooltip="Member is a henchman getting reduced experience awards"
                        class="control henchman fas fa-user-check"></i>{{/if}}
                <a class="member-configure control" data-tooltip="Adjust henchman status"><i class="fas fa-cog"></i></a>
                <a class="member-longrest control" data-tooltip="Long rest for member"><i
                        class="fas fa-campground"></i></a>
                <a class="member-remove control" data-tooltip="Remove party member"><i class="fas fa-minus"></i></a>
            </div>
            <div class="info">
                <a class="member">{{member.name}}</a>
                <div class="member-stats text-trunc">
                    {{member.system.classname}},
                    {{localize "ARS.armorclassabbr"}}: {{member.system.armorClass.normal}},
                    {{localize "ARS.hp"}}: {{member.system.attributes.hp.value}},
                    {{localize "ARS.moveabbrv"}}: {{member.system.attributes.movement.value}}
                    {{member.system.attributes.movement.unit}}
                </div>
                <div class="member-stats abilities text-trunc member-stats-wrapper more-stats">
                    {{localize "ARS.abilityTypes.strabbr"}}: <a
                        data-ability="str">{{member.system.abilities.str.value}}</a>,
                    {{localize "ARS.abilityTypes.dexabbr"}}: <a
                        data-ability="dex">{{member.system.abilities.dex.value}}</a>,
                    {{localize "ARS.abilityTypes.conabbr"}}: <a
                        data-ability="con">{{member.system.abilities.con.value}}</a>,
                    {{localize "ARS.abilityTypes.intabbr"}}: <a
                        data-ability="int">{{member.system.abilities.int.value}}</a>,
                    {{localize "ARS.abilityTypes.wisabbr"}}: <a
                        data-ability="wis">{{member.system.abilities.wis.value}}</a>,
                    {{localize "ARS.abilityTypes.chaabbr"}}: <a
                        data-ability="cha">{{member.system.abilities.cha.value}}</a>
                </div>
                <div class="member-stats abilities text-trunc member-stats-wrapper more-stats">
                    {{#if @root.game.ars.config.settings.useComeliness}}
                        {{localize "ARS.abilityTypes.comabbr"}}: <a
                            data-ability="com">{{member.system.abilities.com.value}}</a>{{#if @root.game.ars.config.settings.useHonor}},{{/if}}
                    {{/if}}
                    {{#if @root.game.ars.config.settings.useHonor}}
                        {{localize "ARS.honor.hnrabbr"}}: <a class="hnr">{{member.system.attributes.hnr.value}}</a>
                    {{/if}}
                    <span class="label-magic-exp">Magic Exp: {{member.totalMagicExp}}</span>
                </div>

                {{!-- classes and experience until level --}}
                <div class="member-stats-wrapper more-stats">
                    {{#each member.classes as |item id|}}
                        {{#if item.system.active}}
                            <div class="flexrow member-stats-container">
                                <div class="exp-bar-container">
                                    <div class="flexrow exp-bar">
                                        <div class="short-field"><img src="{{item.img}}" data-tooltip="{{item.name}}"
                                                width="19" height="19" />
                                        </div>
                                        <div id="progress-container"
                                            data-tooltip="{{item.name}} ({{item.classDetails.level}}) - Exp: {{item.system.xp}} / {{item.classDetails.neededxp}} - Next: {{percentage item.system.xp item.classDetails.neededxp}}%">
                                            <div id="progress-bar"
                                                style="{{progressBar item.system.xp item.classDetails.neededxp}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {{/if}}
                    {{/each}}
                </div>

                {{!-- hp, ac, armor damage, provisions and more if needed - here --}}
                <div class="member-stats-wrapper">
                    <div class="flexrow member-stats-container">
                        <!-- Health Bar -->
                        <div class="health-bar-container">
                            <div class="flexrow health-bar">
                                HP:
                                <div id="progress-container"
                                    data-tooltip="Health {{percentage member.system.attributes.hp.value member.system.attributes.hp.max}}%">
                                    <div id="progress-bar"
                                        style="{{progressBar member.system.attributes.hp.value member.system.attributes.hp.max}}">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Movement/encumbrance Bar -->
                        <div class="move-bar-container">
                            <div class="flexrow move-bar">
                                MV:
                                <div id="progress-container"
                                    data-tooltip="Movement at {{percentage member.movement member.system.attributes.movement.value}}% - Encumbrance Level: {{capfirst member.encumbrance}}">
                                    <div id="progress-bar"
                                        style="{{progressBar member.movement member.system.attributes.movement.value}}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    {{!-- armor damage only when enabled in settings AND it applies to character (no need to show if no armor or not
                applicable) --}}
                    {{#if (and ../armorDamage member.system.armorClass.armorDamage)}}
                        <div class="flexrow member-stats-container">

                            <!-- Armor Damage Bar -->
                            <div class="armor-damage-container">
                                <div class="flexrow armor-damage">
                                    AD:
                                    <div id="progress-container"
                                        data-tooltip="{{member.system.armorClass.armorDamageTooltip}}">
                                        <div id="progress-bar"
                                            style="{{#if member.system.armorClass.armorDamage}}{{progressBar member.system.armorClass.protectionPoints member.system.armorClass.protectionPointsMax}}{{/if}}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="dummy-container"></div>
                        </div>
                    {{/if}}

                    {{!-- provisions --}}
                    <div class="more-stats">
                        <div class="flexrow member-stats-container">
                            <!-- rations -->
                            <div class="health-bar-container">
                                <div class="flexrow health-bar">
                                    RA:
                                    <div id="progress-container"
                                        data-tooltip="Rations {{percentage member.dailyprovisions.food.system.quantity 7}}%">
                                        <div id="progress-bar"
                                            style="{{progressBar member.dailyprovisions.food.system.quantity 7}}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- water -->
                            <div class="health-bar-container">
                                <div class="flexrow health-bar">
                                    WA:
                                    <div id="progress-container"
                                        data-tooltip="Water {{percentage member.dailyprovisions.water.system.quantity 7}}%">
                                        <div id="progress-bar"
                                            style="{{progressBar member.dailyprovisions.water.system.quantity 7}}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    {{!-- psp --}}
                    {{#if (and member.isPsionic @root.game.ars.config.settings.usePsionics)}}
                        <div class="more-stats">

                            <div class="flexrow member-stats-container">
                                <!-- psp 2e -->
                                <div class="health-bar-container hide-1e">
                                    <div class="flexrow health-bar">
                                        PS:
                                        <div id="progress-container"
                                            data-tooltip="Psionic Strength Score {{percentage member.system.psionics.psp.value member.system.psionics.psp.base}}%">
                                            <div id="progress-bar"
                                                style="{{progressBar member.system.psionics.psp.value member.system.psionics.psp.base}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <!-- psp 1e -->
                                <div class="health-bar-container hide-2e">
                                    <div class="flexrow health-bar">
                                        PA:
                                        <div id="progress-container"
                                            data-tooltip="Psionic Strength Scrore (Attack) {{percentage member.system.psionics.pspattack.value member.system.psionics.pspattack.base}}%">
                                            <div id="progress-bar"
                                                style="{{progressBar member.system.psionics.pspattack.value member.system.psionics.pspattack.base}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <!-- psp 1e -->
                                <div class="health-bar-container hide-2e">
                                    <div class="flexrow health-bar">
                                        PD:
                                        <div id="progress-container"
                                            data-tooltip="Psionic Strength Scrore (Defense) {{percentage member.system.psionics.pspdefense.value member.system.psionics.pspdefense.base}}%">
                                            <div id="progress-bar"
                                                style="{{progressBar member.system.psionics.pspdefense.value member.system.psionics.pspdefense.base}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {{/if}}
                </div>
            </div>
        </li>
    </div>
{{/each}}